com.google.appengine.api.search.checkers

## Class SearchApiLimits

- java.lang.Object
- - com.google.appengine.api.search.checkers.SearchApiLimits

-     public class SearchApiLimits
      extends java.lang.Object

  Contains limits on field values, document sizes, and other properties of objects in the Search API.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FIELD_NAME_PATTERN` The pattern each document field name should match.
    `static int` | `GET_INDEXES_DEFAULT_LIMIT` The default number of indexes we will try to return.
    `static int` | `GET_INDEXES_MAXIMUM_LIMIT` The maximum number of indexes that can be requested to be returned in list indexes results.
    `static int` | `GET_INDEXES_MAXIMUM_OFFSET` The maximum offset of the first index returned in list indexes results.
    `static int` | `GET_RANGE_DEFAULT_LIMIT` The default number of documents requested for get range requests.
    `static int` | `GET_RANGE_MAXIMUM_LIMIT` The maximum number of documents which can be requested for get range requests.
    `static int` | `MAXIMUM_ATOM_LENGTH` The maximum length of an atom in bytes (500).
    `static int` | `MAXIMUM_CURSOR_LENGTH` The maximum length of a cursor.
    `static java.util.Date` | `MAXIMUM_DATE_VALUE` The maximum date that can be stored in a date field.
    `static int` | `MAXIMUM_DOCUMENT_ID_LENGTH` The maximum length of a document id.
    `static int` | `MAXIMUM_DOCUMENT_LENGTH` The maximum length of a document.
    `static int` | `MAXIMUM_INDEX_NAME_LENGTH` The maximum length for an index name.
    `static int` | `MAXIMUM_NAME_LENGTH` The maximum length of a field name in bytes (500).
    `static double` | `MAXIMUM_NEGATIVE_LATITUDE` The maximum negative degrees for latitude.
    `static double` | `MAXIMUM_NEGATIVE_LONGITUDE` The maximum negative degrees for longitude.
    `static float` | `MAXIMUM_NUMBER_VALUE` The maximum value that can be stored in a number field (2.147483648E9f).
    `static double` | `MAXIMUM_POSITIVE_LATITUDE` The maximum positive degrees for latitude.
    `static double` | `MAXIMUM_POSITIVE_LONGITUDE` The maximum positive degrees for longitude.
    `static int` | `MAXIMUM_QUERY_LENGTH` The maximum length of a query string.
    `static int` | `MAXIMUM_TEXT_LENGTH` The maximum length of a text or HTML in bytes (1048576).
    `static java.util.Date` | `MINIMUM_DATE_VALUE` The minimum date that can be stored in a date field.
    `static float` | `MINIMUM_NUMBER_VALUE` The minimum value that can be stored in a number field (-2.147483648E9f).
    `static int` | `PUT_MAXIMUM_DOCS_PER_REQUEST` The maximum number of documents allowed per index and delete request.
    `static int` | `SEARCH_DEFAULT_LIMIT` The default limit on the number of documents to return in results.
    `static int` | `SEARCH_DEFAULT_NUMBER_FOUND_ACCURACY` The default found count accuracy.
    `static int` | `SEARCH_DEFAULT_SORTED_LIMIT` The default number of documents to score.
    `static int` | `SEARCH_MAXIMUM_LIMIT` The maximum number of documents that can be requested to be returned in search results.
    `static int` | `SEARCH_MAXIMUM_NUMBER_FOUND_ACCURACY` The maximum number found accuracy that can be requested.
    `static int` | `SEARCH_MAXIMUM_NUMBER_OF_FIELDS_TO_RETURN` The maximum number of names of fields to return in results.
    `static int` | `SEARCH_MAXIMUM_OFFSET` The maximum offset into all search results to return results from.
    `static int` | `SEARCH_MAXIMUM_SORTED_LIMIT` The maximum number of documents that can be requested to be scored.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIELD_NAME_PATTERN

          public static final java.lang.String FIELD_NAME_PATTERN

      The pattern each document field name should match.
      See Also:
        Constant Field Values

    - #### GET_INDEXES_DEFAULT_LIMIT

          public static final int GET_INDEXES_DEFAULT_LIMIT

      The default number of indexes we will try to return.
      See Also:
        Constant Field Values

    - #### GET_INDEXES_MAXIMUM_LIMIT

          public static final int GET_INDEXES_MAXIMUM_LIMIT

      The maximum number of indexes that can be requested to be returned in list indexes results.
      See Also:
        Constant Field Values

    - #### GET_INDEXES_MAXIMUM_OFFSET

          public static final int GET_INDEXES_MAXIMUM_OFFSET

      The maximum offset of the first index returned in list indexes results.
      See Also:
        Constant Field Values

    - #### GET_RANGE_DEFAULT_LIMIT

          public static final int GET_RANGE_DEFAULT_LIMIT

      The default number of documents requested for get range requests.
      See Also:
        Constant Field Values

    - #### GET_RANGE_MAXIMUM_LIMIT

          public static final int GET_RANGE_MAXIMUM_LIMIT

      The maximum number of documents which can be requested for get range requests.
      See Also:
        Constant Field Values

    - #### MAXIMUM_ATOM_LENGTH

          public static final int MAXIMUM_ATOM_LENGTH

      The maximum length of an atom in bytes (500).
      See Also:
        Constant Field Values

    - #### MAXIMUM_CURSOR_LENGTH

          public static final int MAXIMUM_CURSOR_LENGTH

      The maximum length of a cursor.
      See Also:
        Constant Field Values

    - #### MAXIMUM_DATE_VALUE

          public static final java.util.Date MAXIMUM_DATE_VALUE

      The maximum date that can be stored in a date field.

    - #### MAXIMUM_DOCUMENT_ID_LENGTH

          public static final int MAXIMUM_DOCUMENT_ID_LENGTH

      The maximum length of a document id.
      See Also:
        Constant Field Values

    - #### MAXIMUM_DOCUMENT_LENGTH

          public static final int MAXIMUM_DOCUMENT_LENGTH

      The maximum length of a document.
      See Also:
        Constant Field Values

    - #### MAXIMUM_INDEX_NAME_LENGTH

          public static final int MAXIMUM_INDEX_NAME_LENGTH

      The maximum length for an index name.
      See Also:
        Constant Field Values

    - #### MAXIMUM_NAME_LENGTH

          public static final int MAXIMUM_NAME_LENGTH

      The maximum length of a field name in bytes (500).
      See Also:
        Constant Field Values

    - #### MAXIMUM_NEGATIVE_LATITUDE

          public static final double MAXIMUM_NEGATIVE_LATITUDE

      The maximum negative degrees for latitude.
      See Also:
        Constant Field Values

    - #### MAXIMUM_NEGATIVE_LONGITUDE

          public static final double MAXIMUM_NEGATIVE_LONGITUDE

      The maximum negative degrees for longitude.
      See Also:
        Constant Field Values

    - #### MAXIMUM_NUMBER_VALUE

          public static final float MAXIMUM_NUMBER_VALUE

      The maximum value that can be stored in a number field (2.147483648E9f).
      See Also:
        Constant Field Values

    - #### MAXIMUM_POSITIVE_LATITUDE

          public static final double MAXIMUM_POSITIVE_LATITUDE

      The maximum positive degrees for latitude.
      See Also:
        Constant Field Values

    - #### MAXIMUM_POSITIVE_LONGITUDE

          public static final double MAXIMUM_POSITIVE_LONGITUDE

      The maximum positive degrees for longitude.
      See Also:
        Constant Field Values

    - #### MAXIMUM_QUERY_LENGTH

          public static final int MAXIMUM_QUERY_LENGTH

      The maximum length of a query string.
      See Also:
        Constant Field Values

    - #### MAXIMUM_TEXT_LENGTH

          public static final int MAXIMUM_TEXT_LENGTH

      The maximum length of a text or HTML in bytes (1048576).
      See Also:
        Constant Field Values

    - #### MINIMUM_DATE_VALUE

          public static final java.util.Date MINIMUM_DATE_VALUE

      The minimum date that can be stored in a date field.

    - #### MINIMUM_NUMBER_VALUE

          public static final float MINIMUM_NUMBER_VALUE

      The minimum value that can be stored in a number field (-2.147483648E9f).
      See Also:
        Constant Field Values

    - #### PUT_MAXIMUM_DOCS_PER_REQUEST

          public static final int PUT_MAXIMUM_DOCS_PER_REQUEST

      The maximum number of documents allowed per index and delete request.
      See Also:
        Constant Field Values

    - #### SEARCH_DEFAULT_LIMIT

          public static final int SEARCH_DEFAULT_LIMIT

      The default limit on the number of documents to return in results.
      See Also:
        Constant Field Values

    - #### SEARCH_DEFAULT_NUMBER_FOUND_ACCURACY

          public static final int SEARCH_DEFAULT_NUMBER_FOUND_ACCURACY

      The default found count accuracy.
      See Also:
        Constant Field Values

    - #### SEARCH_DEFAULT_SORTED_LIMIT

          public static final int SEARCH_DEFAULT_SORTED_LIMIT

      The default number of documents to score.
      See Also:
        Constant Field Values

    - #### SEARCH_MAXIMUM_LIMIT

          public static final int SEARCH_MAXIMUM_LIMIT

      The maximum number of documents that can be requested to be returned in search results.
      See Also:
        Constant Field Values

    - #### SEARCH_MAXIMUM_NUMBER_FOUND_ACCURACY

          public static final int SEARCH_MAXIMUM_NUMBER_FOUND_ACCURACY

      The maximum number found accuracy that can be requested.
      See Also:
        Constant Field Values

    - #### SEARCH_MAXIMUM_NUMBER_OF_FIELDS_TO_RETURN

          public static final int SEARCH_MAXIMUM_NUMBER_OF_FIELDS_TO_RETURN

      The maximum number of names of fields to return in results.
      See Also:
        Constant Field Values

    - #### SEARCH_MAXIMUM_OFFSET

          public static final int SEARCH_MAXIMUM_OFFSET

      The maximum offset into all search results to return results from.
      See Also:
        Constant Field Values

    - #### SEARCH_MAXIMUM_SORTED_LIMIT

          public static final int SEARCH_MAXIMUM_SORTED_LIMIT

      The maximum number of documents that can be requested to be scored.
      See Also:
        Constant Field Values